Missing items storage counter at any bank
Open, Needs TriagePublic

Description

What is happening:
In the latest update when entering any bank you see that a storage counter that shows how much space is used and total bank storage is missing

What should be happening:
Should work at usual and show item storage counter.

Steps to reproduce the issue:
Enter any game bank (Applewood or Cantermore) and check the "Storage:" panel - used space/total bank storage counter is missing

Game client version:
Just recently released update (v.2021.04.01, desktop client + v.2021.04.02?)

Reproduced by:
Myself

Reproduced on:
Windows 10 Pro 21H1 x64

Crash logs or exceptions generated:
None.

Screenshots:

- the older one that supposed to be
- newest one, with disappearing counter

ProudyHooves updated the task description. (Show Details)Aug 12 2021, 9:30 PM

Edited with exact client edition etc.
Also, item counter might return if you're playing around with your banked items and when you're leaving and opening bank storage again the item counter is gone once again. (Stuff similiar to previous bug report - play around with something and it might be normal until some time)

+ I'm not sure does this bug even related to this one, but when i try to bank X amount of items, it's working fine. But when i want to retrieve items from bank by picking Retrieve X option and putting on certain amount of items it doesn't work. Might report it as separate one.

Mentioned bank bugs seem to be fixed on v 2021.04.02 update but i've got another question - When you use Bank X/Take X option at any banked item (or buying/selling items to any merchant NPC), input a certain number of needed items and press Enter on your keyboard the game along with moving between items can also "activate" ingame chat with the text cursor appearing and you can write something in chat. Is it possible to make it so that it won't trigger chat when you're taking/putting in X items from bank/trading with NPC? Cause it might be a bit annoying sometimes.

ProudyHooves added a comment.EditedAug 29 2021, 5:34 PM

Bump, banked items counter still seems to disappear when you play around with your banked items (transfering between bank and inventory), build version is still latest desktop one, v 2021.04.02
+ question about Bank X/Take X (or Buy X/Sell X) option behavior that activates chat after inputing any number of items still actual.

And fixed a bit the report itself

ProudyHooves updated the task description. (Show Details)Aug 29 2021, 5:38 PM